<?php
function expert_videographer_upper_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

	/*=========================================
	top header
	=========================================*/
	$wp_customize->add_section(
        'expert_videographer_topbar',
        array(
        	'priority'      => 3,
            'title' 		=> __('Header Informations','expert-videographer'),
			'panel'  		=> 'expert_videographer_frontpage_sections',
		)
    );

	$wp_customize->add_setting(
		'expert_videographer_call_text',array(
			'default' => 'HAVE ANY QUESTIONS?',
			'sanitize_callback'	=> 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'expert_videographer_call_text',array(
			'label'	=> __('Add Call Text','expert-videographer'),
			'section'=> 'expert_videographer_topbar',
			'type'=> 'text'
		)
	);

	$wp_customize->add_setting(
		'expert_videographer_call',
		array(
			'default' => '+1800-123-456',
			'sanitize_callback'	=> 'expert_videographer_sanitize_phone_number'
		)
	);

	$wp_customize->add_control(
		'expert_videographer_call',array(
			'label'	=> __('Add Phone Number','expert-videographer'),
			'section'=> 'expert_videographer_topbar',
			'type'=> 'text'
		)
	);

	 $wp_customize->add_setting( 'expert_videographer_upgrade_page_settings_12',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control( new Expert_Videographer_Control_Upgrade(
        $wp_customize, 'expert_videographer_upgrade_page_settings_12',
            array(
                'priority'      => 200,
                'section'       => 'expert_videographer_topbar',
                'settings'      => 'expert_videographer_upgrade_page_settings_12',
                'label'         => __( 'Expert Videographer Pro comes with additional features.', 'expert-videographer' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'expert-videographer' ), __( 'One-Click Demo Import', 'expert-videographer' ), __( 'WooCommerce Integrated', 'expert-videographer' ), __( 'Drag & Drop Section Reordering', 'expert-videographer' ),__( 'Advanced Typography Control', 'expert-videographer' ),__( 'Intuitive Customization Options', 'expert-videographer' ),__( '24/7 Support', 'expert-videographer' ), )
            )
        )
    ); 

}
add_action( 'customize_register', 'expert_videographer_upper_header_settings' );